Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.annotation
Class LifeCycleCallbackCollection

    java.lang.Object
      org.mortbay.jetty.plus.annotation.LifeCycleCallbackCollection

    public class LifeCycleCallbackCollection

extends Object

LifeCycleCallbackCollection

Constructor Summary
`LifeCycleCallbackCollection()`

Method Summary
`void` | `add(LifeCycleCallback callback)` Add a Callback to the list of callbacks.
`void` | `callPostConstructCallback(Object o)` Call the method, if one exists, that is annotated with PostConstruct or with <post-construct> in web.xml
`void` | `callPreDestroyCallback(Object o)` Call the method, if one exists, that is annotated with PreDestroy or with <pre-destroy> in web.xml

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LifeCycleCallbackCollection

    public LifeCycleCallbackCollection()

Method Detail

### add

    public void add(LifeCycleCallback callback)

  Add a Callback to the list of callbacks.

  Parameters:
    `callback` -

### callPostConstructCallback

    public void callPostConstructCallback(Object o)
                                   throws Exception

  Call the method, if one exists, that is annotated with PostConstruct or with <post-construct> in web.xml

  Parameters:
    `o` - the object on which to attempt the callback
  Throws:
    `Exception`

### callPreDestroyCallback

    public void callPreDestroyCallback(Object o)
                                throws Exception

  Call the method, if one exists, that is annotated with PreDestroy or with <pre-destroy> in web.xml

  Parameters:
    `o` - the object on which to attempt the callback
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.